%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Services_Weather

Name:           php-pear-Services-Weather
Version:        1.4.3
Release:        1%{?dist}
Summary:        This class acts as an interface to various online weather-services

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Services_Weather
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

Requires:       php-pear(HTTP_Request) >= 1.2.0, php-pear(PEAR) >= 1.4.0
Requires(hint): php-pear(Net_FTP) >= 1.3.1, php-pear(Cache) >= 1.5.3, php-pear(DB) >= 1.4.0
Requires(hint): php-pear(SOAP) >= 0.7.5, php-pear(XML_Serializer) >= 0.8

%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts.
Up to now, GlobalWeather from CapeScience, Weather XML from EJSE (US
only), a XOAP service from Weather.com and METAR/TAF from NOAA are
supported. Further services will get included, if they become available, 
have a usable API and are properly documented.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Make buildMetarDB.php working
sed -i -e s@/usr/local/bin/php@%{_bindir}/php@ $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/buildMetarDB.php
chmod +x $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/buildMetarDB.php

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG docdir/*

%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/Services
%{pear_datadir}/%{pear_name}


%changelog
* Sat May 17 2008 Remi Collet <Fedora@famillecollet.com> 1.4.3-1
- update to 1.4.3

* Sat Apr 21 2007 Remi Collet <Fedora@famillecollet.com> 1.4.2-1
- update to 1.4.2
- requires php-pear(PEAR) >= 1.4.0

* Sat Nov 18 2006 Remi Collet <Fedora@famillecollet.com> 1.4.0-2
- Unobfuscate sed command

* Sat Nov 04 2006 Remi Collet <Fedora@famillecollet.com> 1.4.0-1
- initial RPM (generated + cleanup)
- add genarated CHANGELOG
- fix buildMetarDB.php
